import categoryPlugin from './category'

export default defineNuxtPlugin((nuxtApp) => {
  //乡村网pre环境
  nuxtApp.provide('webUrl', 'https://apipre1.bjzxtw.org.cn')
  nuxtApp.provide('CwebUrl', 'http://pre.china-village.com.cn')
  nuxtApp.provide('BwebUrl', 'https://adminpre.bjzxtw.org.cn')
  nuxtApp.provide('LoginWebUrl', 'https://adminpre.bjzxtw.org.cn/adminapi')
  nuxtApp.provide('userUrl', 'http://localhost:3000') 
  //Dev环境
  // nuxtApp.provide('webUrl', 'http://apidev.bjzxtw.org.cn')
  // nuxtApp.provide('CwebUrl', 'http://nwdev.bjzxtw.org.cn')
  // nuxtApp.provide('BwebUrl', 'http://admindev.bjzxtw.org.cn')
  // nuxtApp.provide('userUrl', 'http://localhost:3000')
  //乡村网正式环境
  // nuxtApp.provide('webUrl', 'https://flzxw.bjzxtw.org.cn')
  // nuxtApp.provide('CwebUrl', 'http://nw.china-village.com.cn')
  // nuxtApp.provide('BwebUrl', 'https://admin.bjzxtw.org.cn')
  // nuxtApp.provide('LoginWebUrl', 'http://admin.bjzxtw.org.cn/adminapi')
  // nuxtApp.provide('userUrl', 'http://localhost:3001')

  // 动态provide pageNav
  // const navName = 'navMaster' // 可根据需要切换为'navPre'
  const navName = 'navPre' // 可根据需要切换为'navPre'
  const navArr = categoryPlugin[navName] || []
  nuxtApp.provide('pageNav', navArr)
})